# Via: The Way

`POST https://api.astroway.info/v1/geomancy/via`

Movement, change, journey.

Group: Geomancy (Agrippa). Auth: `X-Api-Key` header. Operation ID: `geomancy_via`.

## Parameters

| Name | In | Required | Type | Description |
|---|---|---|---|---|
| `undefined` |  | no | object |  |
| `undefined` |  | no | object |  |

## Request body

```json
{}
```

## Responses

| Status | Meaning |
|---|---|
| 200 | Successful calculation |
| 400 | Validation error |
| 401 | Missing or invalid API key |

### Success fields, under `data`

| Field | Type | Required | Description |
|---|---|---|---|
| `figure` | object | no |  |
| `figure.slug` | string | no |  |
| `figure.latin` | string | no |  |
| `figure.english` | string | no |  |
| `figure.pattern` | number[] | no |  |
| `figure.ruler` | string | no |  |
| `figure.element` | string | no |  |
| `figure.sign` | string | no |  |
| `figure.nature` | string | no |  |
| `figure.meaning` | string | no |  |
| `figure.positive` | string | no |  |
| `figure.negative` | string | no |  |
| `figure.divinatory` | string | no |  |
| `source` | string | no |  |

## Example

```bash
curl -X POST https://api.astroway.info/v1/geomancy/via \
  -H "X-Api-Key: aw_live_..." \
  -H "Content-Type: application/json" \
  -d '{}'
```

---

Rendered from https://api.astroway.info/v1/openapi.json. HTML page: https://api.astroway.info/docs/api/operations/geomancy_via/
